Message.Request (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.transport

## Class Message.Request

- java.lang.Object
- - org.apache.cassandra.transport.Message
  - - org.apache.cassandra.transport.Message.Request

- Direct Known Subclasses:
    AuthResponse, BatchMessage, CredentialsMessage, ExecuteMessage, OptionsMessage, PrepareMessage, QueryMessage, RegisterMessage, StartupMessage
  Enclosing class:
    Message

      public abstract static class Message.Request
      extends Message

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Message

      `Message.Codec<M extends Message>, Message.Direction, Message.Dispatcher, Message.ProtocolDecoder, Message.ProtocolEncoder, Message.Request, Message.Response, Message.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `tracingRequested`

    - ### Fields inherited from class org.apache.cassandra.transport.Message

      `connection, logger, type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Message.Request(Message.Type type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Message.Response` | `execute(QueryState queryState)`
    `boolean` | `isTracingRequested()`
    `void` | `setTracingRequested()`

    - ### Methods inherited from class org.apache.cassandra.transport.Message

      `attach, connection, getSourceFrame, getStreamId, setSourceFrame, setStreamId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tracingRequested

          protected boolean tracingRequested

  - ### Constructor Detail

    - #### Message.Request

          protected Message.Request(Message.Type type)

  - ### Method Detail

    - #### execute

          public abstract Message.Response execute(QueryState queryState)

    - #### setTracingRequested

          public void setTracingRequested()

    - #### isTracingRequested

          public boolean isTracingRequested()

Copyright © 2014 The Apache Software Foundation